# Generated from image_paradise-0.2.86.gem by gem2rpm -*- rpm-spec -*-
%global gem_name image_paradise

Name: rubygem-%{gem_name}
Version: 0.2.86
Release: 1%{?dist}
Summary: This project, called image_paradise, allows you to manipulate images, primarily by using ImageMagick.  For a more complete overview, have a look at the official documentation of this gem, at:   https://www.rubydoc.info/gems/image_paradise/
License: GPL-2.0
URL: https://rubygems.org/gems/image_paradise
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.3.7
BuildRequires: ruby >= 2.5.8
BuildArch: noarch

%description
This project, called image_paradise, allows you to manipulate images,
primarily by using ImageMagick.
For a more complete overview, have a look at the official documentation
of this gem, at: 
https://www.rubydoc.info/gems/image_paradise/.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/black_white
%{_bindir}/confree_generator
%{_bindir}/create_new_image
%{_bindir}/display_text_from_this_image
%{_bindir}/draw_as_specified_from_the_yaml_file
%{_bindir}/embed_the_filename_into_this_image
%{_bindir}/image_paradise
%{_bindir}/image_paradise_shell
%{_bindir}/image_to_ascii
%{_bindir}/image_to_pdf
%{_bindir}/imageparadise_img2pdf
%{_bindir}/img_text
%{_bindir}/interlace
%{_bindir}/jpg_to_pdf
%{_bindir}/magic_card_border
%{_bindir}/make_this_image_transparent
%{_bindir}/morph_these_images
%{_bindir}/optimize_this_image
%{_bindir}/quality
%{_bindir}/rotate_left
%{_bindir}/rotate_right
%{_bindir}/round_the_corner
%{_bindir}/ruby_montage
%{_bindir}/transparent
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/USAGE.md
%{gem_instdir}/bin
%{gem_instdir}/images
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/image_paradise.gemspec
%{gem_instdir}/test

%changelog
* Sat May 28 2022 mockbuilder - 0.2.86-1
- Initial package
